Bug 739874

Summary: ghc-json-0.5 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: ghc-jsonAssignee: Jens Petersen <petersen>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: haskell-devel, petersen
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-07 07:57:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Upstream Release Monitoring 2011-09-20 10:13:41 UTC
Latest upstream release: 0.5
Current version in Fedora Rawhide: 0.4.4
URL: http://hackage.haskell.org/packages/archive/json/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Jens Petersen 2011-09-28 10:31:32 UTC
Can't update until pandoc updates to json-0.5.

Comment 2 Jens Petersen 2011-10-07 01:30:52 UTC
I see that pandoc.git now allows json-0.5.

Comment 3 Jens Petersen 2011-10-07 09:27:44 UTC
json-0.5 by default requires syb-0.3.3 for its generic encoder
but this can be disabled.

Comment 4 Jens Petersen 2011-10-11 01:04:47 UTC
(In reply to comment #2)
> I see that pandoc.git now allows json-0.5.

The current released pandoc.cabal can be patched to allow
building with json-0.5.

Comment 5 Jens Petersen 2012-01-04 07:41:35 UTC
and syb-0.3.3 is now in rawhide

Comment 6 Jens Petersen 2012-01-05 03:11:02 UTC
Punting this to ghc-7.4 time for now - still quite a few hackages
depend on 0.4.*.

Comment 7 Jens Petersen 2012-03-07 07:57:37 UTC
built for f18